[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Replacing corrupted package



I'm trying to use consolehelper on F10 to move to F11.  When I run it it
says: Unable to load image-loading module.  And it says /usr/lib/librsvg-2.so.2
has an invalid ELF header.  I ran rpm --verify librsvg2 and it gives:
S.5.....      /usr/bin/rsvg-convert
S.5.....      /usr/lib/librsvg-2.so..2.22.3

I downloaded librsvg2-2.22.3-1.fc10.i386.rpm

I tried yum install librsvg2-2.22.3-1.fc10.i386.rpm

but it says:
librsvg2-2.22.3-1.fc10.i386.rpm: does not update installed package.

I ran yum remove librsvg2, but it wanted to remove 19 packages,
so I didn't allow it to do that.  How can I replace the already installed
and apparrently corrupted package using the rpm that I downloaded?
TIA.

--
Brian Wood
http://www.webEbenezer.net





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]